Customer
Get a customer by ticket id
GET /customer/byTicketId/{ticketId}
GET /customer/byTicketId/{ticketId}
Get a customer and associated contracts by ticket id. Tickets are mapped to customer using enneo.MIND's AI, or when manually assigned by a user
Path parameters
ticketIdintegerpathrequiredThe id of the ticket for which the associated customer is requested
Responses
200 — Successful operation
Response Example
{
"id": 83771,
"emailMatches": true,
"business": false,
"company": null,
"firstname": "Tom",
"lastname": "Mustermann",
"address": "Hugo-Junkers-Str. 5",
"phone": 49123456789,
"email": "tom@mustermann.de",
"tags": [
{
"id": 2,
"color": "green",
"name": "VIP"
}
],
"contracts": [
{
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1
}
],
"additionalData": null
}403 — Unauthorized
404 — No customer id associated with ticket (yet)
500 — Internal error